Get bank account verification | Moov Documentation

Get bank account verification

Retrieve the current status and details of an instant verification, including whether the verification method was instant (RTP or FedNow) or same-day ACH. This helps track the verification process in real-time and provides details in case of exceptions.

The status will indicate the following:

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/bank-accounts.read scope.

Endpoint

GET

/accounts/{accountID}/bank-accounts/{bankAccountID}/verify

Example Request

curl -X GET "https://api.moov.io/accounts/{accountID}/bank-accounts/{bankAccountID}/verify" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

SDK Examples

TypeScript

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.bankAccounts.getVerification({
    accountID: "c87bc077-580a-4c2a-b312-2afbd21fc1cd",
    bankAccountID: "aaceed83-ef83-4d48-8136-096f834280cc",
  });

console.log(result);
}

run();

PHP

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\